%YAML 1.1
---
gfVersion: v1.0
class: app

name: samtools-bam-to-fastq-gf
description: Convert SAM/BAM file to FASTQ format
repo_uri: https://gitlab.com/geneflow/apps/samtools-bam-to-fastq-gf.git
version: '1.10-01'
inputs:
  input:
    label: SAM/BAM File
    description: SAM or BAM file
    type: File
parameters:
  include_reads_all:
    label: Include Reads All
    description: Include reads with all flag values present
    type: int
  include_reads_none:
    label: Include Reads none
    description: Include reads with none of the flag values present
    type: int
  exclude_reads_all:
    label: Exclude Reads All
    description: Exclude reads with all flag values present
    type: int
  output:
    label: Output FASTQ File
    description: Output FASTQ file
    type: File
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-samtools-bam-to-fastq-gf-1.10-01{{ revision }}
{% endif %}
  local:
    script: samtools-bam-to-fastq-gf.sh
...